<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Space_Theme
 */

?>

	</div><!-- #content -->

	<footer id="colophon" class="site-footer">
	<?php if (is_active_sidebar( 'footer-widget' )): ?>
		<div class="footer-middle space-padding bg-dark">
			<div class="container">
				<div class="row">
					<?php 
						dynamic_sidebar('footer-widget');
					 ?>
				</div>
			</div>
		</div>
	<?php endif; ?>
		<div class="footer-bottom">
			<div class="baby-container site-info text-center">
				<div class="container">&copy; 
				<?php
					echo date_i18n(
						/* translators: Copyright date format, see https://www.php.net/date */
					_x( 'Y', 'copyright date format', 'gute-plus' )
							);
				?>
				<a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php bloginfo( 'name' ); ?></a>
				<span class="sep"> | </span>
				<?php
					/* translators: 1: Theme name, 2: Theme author. */
					printf( esc_html__( 'WordPress Theme: %1$s by %2$s', 'gute-plus' ), 'Gute Plus', '<a href="'.esc_url('https://wpthemespace.com/product/gute-plus').'">wpthemespace.com</a>' );
				?>
				</div>
		</div><!-- .site-info -->
		
		</div>
	
	</footer><!-- #colophon -->
</div><!-- #page -->

<?php wp_footer(); ?>

</body>
</html>
